Bug 1283845 - SELInux settings manager ui app causes breakage
SELInux settings manager ui app causes breakage
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 00:15 EST by Richard Jasmin
Modified: 2016-12-20 11:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:07:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-11-20 00:15:41 EST
Description of problem:
This is UNREPORTABLE when SELinux is active as it triggers a Malloc() function error.Nothing can be launched, oddly, except a terminal.

The boolean marked SELinux cannot be set or unset.Such thing should never cause breakage or be in here if it causes such.If you edit this, you will be forced to DISABLE SELinux on boot.There is no way around this.Your setup is now corrupt.

Secondly, the following set options should not cause this issue.Generally apps dont need low mem access, but what low area are we talking about? Below 640K? Below 1MB?

Wine and dosemu generally go there.Linux uses above 1MB-4MB generally.Yes, Ive done my OS homework as it were.Kernel should be locked in RAM anyways(RO).Modules go here too, right?

Following is a dump from the SELinux config app:
---
boolean -m -1 abrt_handle_event
boolean -m -1 antivirus_can_scan_system
boolean -m -1 antivirus_use_jit
boolean -m -1 cdrecord_read_content
boolean -m -1 cron_can_relabel
boolean -m -1 deny_execmem
boolean -m -1 fcron_crond
boolean -m -1 global_ssp
boolean -m -1 logging_syslogd_can_sendmail
boolean -m -1 mmap_low_allowed
boolean -m -1 mock_enable_homedirs
boolean -m -1 pppd_can_insmod
boolean -m -1 pppd_for_user
boolean -m -0 selinuxuser_execstack
boolean -m -1 selinuxuser_ping
boolean -m -1 use_ecryptfs_home_dirs
---
Version-Release number of selected component (if applicable):
23

How reproducible:
once triggered, always

Steps to Reproduce:
1.edit settings w the app

Actual results:
cant malloc anything, sigsev and segfaults reign supreme (despite my 23.7 of 24 GB free)

Expected results:
this should never happen

Additional info:
Latter two options are set by my 'shh-private' Private folder setup script.I dont have any NFS shares on this system.
Comment 1 Fedora Admin XMLRPC Client 2016-09-27 10:58:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Tori Wilson 2016-10-18 11:00:33 EDT
Was this bug fixed ? I need an updated resolution for my project at http://buyessayfast.net/ , but I still can not find any info about it.
Comment 3 Fedora End Of Life 2016-11-24 08:36:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:07:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.